%define	module	POE-Sugar-Args
%define	name	perl-%{module}
%define	version	1.3
%define	release	1mdk
%define	pdir	POE

Summary:	%{module} module for perl
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/search?dist=%{module}
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel, perl-Module-Build

%description
%{module} module for perl.  This module give an OO representation to
arguments POE passes to event states.  I will not lie to you.  This
adds heavy, bulky code underneath.  On the other hand, it makes
arguments for POE events much more palatable.  Of course, this is a
Sugar module, meaning, it will rot your program in odd (you'll be
hooked) and unexpected ways (performace), but you took the candy so
you can suffer the consequences.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/POE/*
%{_mandir}/*/*


%changelog
* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3-1mdk
- 1.3
- cosmetics
- no hardcoded path in %%files

* Mon Mar 01 2004 Michael Scherer <misc@mandrake.org> 1.2-2mdk
- use automatic Requires
 
* Wed Apr 16 2003 Peter Chen <petechen@netilla.com> 1.2-1mdk
- Initial packaging.
